Lightning Talk: How to Win at Coding Interviews - David Stone - CppCon 2022

preview_player
Показать описание
---

Lightning Talk: How to Win at Coding Interviews - David Stone - CppCon 2022

5 minutes of preparation is plenty to beat any coding interview.
---

David Stone

David Stone has worked on autonomous vehicles, large-scale distributed systems, and now works developing software for high-frequency trading. He is a member of the C++ Standardization Committee, where he chairs the Modules Study Group (SG2) and is the vice chair of the Evolution Working Group (EWG).
---

#cppcon #programming #coding
Рекомендации по теме
Комментарии
Автор

I really like this guy! Am I watching a stand-up comedy?

EgD
Автор

What a great talk, I wish there were more like this one!

kodirovsshik
Автор

Interviews at big tech is like a strange mating ritual.

Sychonut
Автор

LeetCode style interview questions don't measure how good the interviewee is in C++ or software engineering. It only measures how good they are at solving LeetCode style problems.
If all you do in your company is solving LeetCode problems, then hire via this broken method. You will be fine.

TirexTirexians
Автор

Awesome, I love lighting talks, they pack the punch!

yuurishibuya
Автор

But leetcode 229, majority element II requires constant space. In this case, you are not allowed to use hash map. If hash map is allowed, this is simply an easy level problem. In a real code interview, the interviewer will definitely ask you to think of a solution using constant space. It won't be that easy....

zhongchu
Автор

that is actually great. simple but really valuable

gustavob.
Автор

The last sentence is the most important one. Great talk 👍

Shakephobiaful
Автор

Most technical interviews are testing the wrong thing. You know you're going to get the wrong people when you give them homework. Why? Because only people that really need the job badly will try their hardest at them. People that know they're good enough will just try somewhere else and not bother.

ruadeil_zabelin
Автор

People sometimes forget that unordered containers are faster when it comes to searching. Great talk nonetheless.

ohwow
Автор

not some very good solutions from an algorithm's prospective, but the presentation style is very fun to watch

poppmeow
Автор

You should also show that you think ahead and are able to generalize. When given the first task finding the numbers which occur more than 1/3 of time, you should ideally create a solution in which 3 would be a runtime argument passed to the function. Unless it is a severe performance hit, in which case you should discuss this with the interviewer and only in that case decide to pass the value as compile time param. Also in the second task, you should ideally generalize the number of arrays and the required frequency as runtime args. If you just hardcode the number of arrays, your solution is not flexible in anticipation of future changes of requirements.

In short: seniors and experts should always think in general and abstract terms and anticipate future changes because they have seen so many. And always discuss the task presumptions before you start working on a solution. Show that you consider multiple solutions and you are able to tell the pros and cons.

vladimirkraus
Автор

Like for 3rd question, most of the interviewers wants candidate to write their own algorithm.

gursewaksingh
Автор

Or : "How to interview when they liked your CV and it's just a formality".

tetsuoshiva
Автор

No no no ... Hash map is like for idiots . .. Lee Vodkatrubac can use a Travelling Fenwick Heap to solve it in O(1) and 3 lines of code

shrekistlieben